Page MenuHomePhabricator

Can not to add user in the course. Ed Dashboard
Closed, ResolvedPublic

Description

Hello,

I try to add new user to the Ed Dashboard course but it doesn't work.

The system writes that there is no the user. But the user exists.

For example, these users:

  1. https://be.wikipedia.org/wiki/Адмысловае:Contributions/Belasnezhkagooo
  2. https://be.wikipedia.org/wiki/Адмысловае:Contributions/Nadseja87
  3. https://be.wikipedia.org/wiki/Адмысловае:Contributions/Виктория_Ермоленко

Event Timeline

rizoma created this task.Oct 10 2016, 10:21 AM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptOct 10 2016, 10:21 AM

This is probably the same bug: I can not add a Facilitator to a course I have created. It returns an error: Sorry, Kunst is not an existing user. But the user definitely exists: https://tools.wmflabs.org/guc/?user=Kunst

The course is https://outreachdashboard.wmflabs.org/courses/Львівська_національна_музична_академія/Електронна_і_компʼютерна_музика/overview

Ata updated the task description. (Show Details)Oct 20 2016, 10:15 AM
Ata added a subscriber: Ata.Oct 20 2016, 10:18 AM

The similarity I see among all the four users mentioned — they do not have enwiki in their SUL. I tested adding to the course users who went to English Wikipedia, it's working.

It's a pity, if having enwiki connected to the SUL is influencing the Dashboard work.

Yury_Bulka added a comment.EditedOct 20 2016, 10:20 AM

Just created a test account on a non-English Wikipedia. Then I tried adding that account as a Facilitator and it failed. Bust as soon as I visited English Wikipedia and logged in there with the test account, I could add it as a Facilitator. So it seems to depend on the account existence specifically on English Wikipedia.

Thanks for reporting this. I've deployed a patch that changes the wiki to meta for importing new users by username. That should allow almost any user to be added to a program on the dashboard.

Please try it out and confirm that it's fixed.

(This bug only affected users who were being added by the facilitator manually; users with logging in with OAuth would visit en.wiki and automatically have their account created during the login process.)

Thank you, @Ragesoss, for looking into this so urgently. I still can not add the user though - they haven't got a meta account either. I think that a full solution would be to change the requirement from a specific wiki to any wiki that is connected to SUL. And I wonder which one - Engilsh Wikipedia or Meta - is more likely to be the wiki that a teacher at a university will have an account on?

@Yury_Bulka New accounts will automatically get created on Meta. There are some related bugs that cause that process to fail on rare occasions — T148696 — and some older accounts were created before the automatic creation on meta was active. But in theory, new users should all end up with accounts on Meta.

@Ragesoss, thank you, good to know. So this leaves us with a relatively small subset of users who we can hopefully ask to login on Meta once.

Yury_Bulka closed this task as Resolved.Oct 21 2016, 9:39 AM